#
# spec file for package tcpdump (Version 3.8.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libpcap libsmi openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libpcap libsmi libtool openssl-devel perl rpm

Name:         tcpdump
URL:          http://www.tcpdump.org/
License:      BSD
Group:        Productivity/Networking/Diagnostic
Autoreqprov:  on
Version:      3.8.1
Release:      49.4
Summary:      A packet sniffer
Source:       %{name}-%{version}.tar.bz2
Source1:      %{name}-qeth
Patch:        include-time-%{version}.dif
Patch1:       autoconf-%{version}.dif
Patch2:       cast-pointer-%{version}.dif
Patch8:       %{name}-%{version}-configure.diff
Patch9:       %{name}-%{version}-isakmp-fix2.diff
Patch10:      %{name}-%{version}-radius-fix.diff
Patch11:      %{name}-%{version}-isakmp-fix3.diff
Patch12:      %{name}-3.8.2-bgp-dos.patch
Patch13:      %{name}-3.8.2-isis-dos.patch
Patch14:      %{name}-3.8.2-ldp-dos.patch
Patch15:      %{name}-3.8.2-rsvp-dos.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This program can "read" all or only certain packets going over the
ethernet. It can be used to debug specific network problems.



%prep
%setup
%patch
%patch1
%patch2
%patch8
%patch9
%patch10
%patch11
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
%{suse_update_config -f}
libtoolize --force
cp aclocal.m4 acinclude.m4
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
                                   --prefix=/usr \
                                   --mandir=%{_mandir} \
                                   --enable-ipv6
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
%ifarch s390 s390x
    cp -va $RPM_SOURCE_DIR/tcpdump-qeth $RPM_BUILD_ROOT/usr/sbin/tcpdump-qeth
    chmod +x $RPM_BUILD_ROOT/usr/sbin/tcpdump-qeth
%endif

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES CREDITS LICENSE PLATFORMS *.awk
%doc %{_mandir}/man1/*
/usr/sbin/tcpdump
%ifarch s390 s390x
/usr/sbin/tcpdump-qeth
%endif

%changelog -n tcpdump
* Mon May 16 2005 - mjancar@suse.cz
- security fixes (#80582)
  * CAN-2005-1278
  * CAN-2005-1279
  * CAN-2005-1280
* Mon Mar 29 2004 - postadal@suse.cz
- fixed overflow in ISAKMP (CAN-2004-0183) [#36828]
* Fri Feb 06 2004 - ro@suse.de
- fix configure.in (test for pcap_debug was broken)
* Tue Jan 20 2004 - postadal@suse.cz
- updated to version 3.8.1
  * fixed security bug in L2TP (CAN-2003-1029)
- removed obsoleted patches (isakmp-buffer-overflow-fix, compile)
- fixed security bugs in these parsers: RADIUS (CAN-2004-0055),
  ISAKMP (CAN-2004-0057) [#33763]
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Tue Jan 06 2004 - postadal@suse.cz
- fixed two remotely exploitable buffer overflows in the ISAKMP parser
  [#33763] (CAN-2003-0989)
* Thu Jul 24 2003 - postadal@suse.cz
- updated to version 3.7.2
- removed obsoleted patches (tcpdump-nfs-fix, tcpdump-isakmp, tcpdump-bgp)
* Wed May 07 2003 - ro@suse.de
- make it compile with current glibc headers
  (move include of netinet/in.h further up)
* Wed Mar 05 2003 - postadal@suse.cz
- fixed security bugs in parsing ISAKMP, BGP and NFS
* Tue Oct 01 2002 - froh@suse.de
- s390/s390x: dumping of qeth interfaces needs some filtering, which
  is accomplished by the new 'tcpdump-qeth' (#15626, #22085)
* Mon May 20 2002 - postadal@suse.de
- fixed bug in displaying NFS traffic
- updated to version 3.7.1
  * support more protocols
  * better Linux libc5 compat
* Wed Apr 03 2002 - postadal@suse.cz
- fixed to compile with autoconf-2.53
* Mon Jun 18 2001 - cihlar@suse.cz
- updated to version 3.6.2
- removed obsolete patches
- compile against package libpcap
* Tue Feb 06 2001 - ro@suse.de
- tcpclice.c: include time.h
- smbutil.c: include time.h
* Fri Jan 19 2001 - bk@suse.de
- Turn off PACKET_RX_RING too. It is not available in lx_sus22 and
  not enabled in our 2.4 kernel configs and causes a warning on
  every start and possible trouble. See bug #5178
* Thu Jan 11 2001 - ak@suse.de
- Turn off PACKET_TRECV. It's not enabled in our kernel and causes some
  problems.
* Fri Nov 24 2000 - ak@suse.de
- Add mb() for ppc
* Tue Nov 14 2000 - ro@suse.de
- groups sorted
* Tue Nov 14 2000 - ak@suse.de
- add some protocols to make it build on 6.1 again
* Mon Nov 13 2000 - ak@suse.de
- add membar fix for sparc
* Sat Nov 11 2000 - ak@suse.de
- fix some buffer overflows.
* Thu May 18 2000 - schwab@suse.de
- Fix missing declaration.
- Fix broken includes.
- Get rid of Makefile.Linux and clean up spec file.
- Update config.{sub,guess}.
* Thu May 11 2000 - ak@suse.de
- add security fix for endless dns looping. From Guy Harris.
* Thu Mar 02 2000 - ak@suse.de
- move man pages to /usr/share/man
* Wed Dec 22 1999 - ak@suse.de
- fix promiscuous mode bug
* Fri Dec 03 1999 - bk@suse.de
- disabled NO_SMP_DEBUG changes by ank(did not compile on sparc)
* Sat Nov 06 1999 - bk@suse.de
- Integrated changes from ak:
  strip tcpdump and a fix a -p crash bug (pcap-maddr-fix)
* Wed Oct 27 1999 - bk@suse.de
- Andi Kleen added patches from Alexey Kuznetsov. Features e.g.:
- device independent libpcap, Kernel support for new link-layers, e.g. ISDN
  (libpcap uses PF_PACKET,SOCK_DGRAM instead of PF_INET,SOCK_PACKET)
- IPv6 and APM support, SMB updates
- libpcap support for "In Kernel Packet Filtering" (CONFIG_FILTER)
- made a libpcapn subpackage which holds the new libpcap for developers.
- Added fix to reestablish old output format of tcpdump from Andi Kleen.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 29 1998 - ro@suse.de
- print_i4l : include net/ethernet.h instead of netinet/if_ether.h for glibc
* Mon Mar 02 1998 - florian@suse.de
- update to version 3.4a6
* Mon Jul 07 1997 - florian@suse.de
- update to version 3.4a5
- added isdn-patches
- update to version 3.4a3
* Sun Apr 13 1997 - florian@suse.de
- update to new version 3.3.1a2 with automatic detection of packet types
* Thu Jan 02 1997 - florian@suse.de
- added the changes distributed with samba
- added isdn patches
